### Method

# Vips Rect unionrect

#### Declaration [src]

    void
    vips_rect_unionrect (
      const VipsRect* r1,
      const VipsRect* r2,
      VipsRect* out
    )

#### Description [src]

Fill `out` with the bounding box of `r1` and `r2`. `out` can equal `r1` or `r2`.

#### Parameters

`r2`

  Type: `VipsRect`

  Input rectangle 2.

  The data is owned by the caller of the method.

`out`

  Type: `VipsRect`

  Output rectangle.

  The argument will be set by the function.
  The returned data is owned by the instance.